baseURL: https://alexpires.me/
languageCode: en-us
title: Alexandre Pires
theme: hugo-profile

outputs:
  home:
    - "HTML"
    - "RSS"
    - "JSON"
  page:
    - "HTML"
    - "RSS"

enableRobotsTXT: true

#services:
#googleAnalytics:
#id: G-MEASUREMENT_ID
#disqus:
#shortname: your-disqus-shortname

pagination:
  pagerSize: 3

markup:
  goldmark:
    renderer:
      unsafe: true

Menus:
  # main:
  # - identifier: blog
  #   name: Blog
  #   title: Blog posts
  #   url: /blogs
  #   weight: 1
  # - identifier: gallery
  #   name: Gallery
  #   title: Blog posts
  #   url: /gallery
  #   weight: 2
  #Dropdown menu
  # - identifier: dropdown
  #   title: Example dropdown menu
  #   name: Dropdown
  #   weight: 3
  # - identifier: dropdown1
  #   title: example dropdown 1
  #   name: example 1
  #   url: /#
  #   parent: dropdown
  #   weight: 1
  # - identifier: dropdown2
  #   title: example dropdown 2
  #   name: example 2
  #   url: /#
  #   parent: dropdown
  #   weight: 2

params:
  title: "Alexandre Pires - Software/Systems Engineer"
  description: Text about my cool site
  # staticPath: ""  # The path to serve the static files from
  favicon: "/fav.png"

  # Whether to serve bootstrap css and js files from CDN or not. Can be set to true, "css" or "js" to choose between
  # serving both, only the css, or only the js files through the CDN. Any other value will make so that CDN is not used.
  # Note the lack of "" in true, it should be of boolean type.
  useBootstrapCDN: false

  # If you want to load dynamically responsive images from Cloudinary
  # This requires your images to be uploaded + hosted on Cloudinary
  # Uncomment and change YOUR_CLOUD_NAME to the Cloud Name in your Cloudinary console
  # cloudinary_cloud_name: "YOUR_CLOUD_NAME"

  # Whether to add mathjax support on all pages. Alternatively, you can opt-in per page by adding `mathjax: true` in the frontmatter.
  mathjax: false

  # Whether the fade animations on the home page will be enabled
  animate: true

  theme:
    disableThemeToggle: true
    defaultTheme: "dark"

  font:
    fontSize: 1rem # default: 1rem
    fontWeight: 400 # default: 400
    lineHeight: 1.5 # default: 1.5
    textAlign: left # default: left

  # color preference
  # When using hex codes for colors, quotations must be used along with the # sign
  # color:
  #   textColor: "#343a40"
  #   secondaryTextColor: "#6c757d"
  #   textLinkColor: "#007bff"
  #   backgroundColor: "#eaedf0"
  #   secondaryBackgroundColor: "#64ffda1a"
  #   primaryColor: "#007bff"
  #   secondaryColor: "#f8f9fa"

  #   darkmode:
  #     textColor: "#e4e6eb"
  #     secondaryTextColor: "#b0b3b8"
  #     textLinkColor: "#ffffff"
  #     backgroundColor: "#18191a"
  #     secondaryBackgroundColor: "#212529"
  #     primaryColor: "#ffffff"
  #     secondaryColor: "#212529"

  # If you want to customize the menu, you can change it here
  navbar:
    align: ms-auto # Left: ms-auto | center: mx-auto | right: me-auto | Default: ms-auto
    # brandLogo: "/logo.png" # Logo for the brand | default is the favicon variable
    # showBrandLogo: false # Show brand logo in nav bar | default is true
    brandName: "Alexandre Pires" # Brand name for the brand | default is the title variable
    disableSearch: true
    # searchPlaceholder: "Search"
    stickyNavBar:
      enable: true
      showOnScrollUp: true
    enableSeparator: false
    menus:
      disableAbout: false
      disableExperience: false
      disableEducation: false
      disableProjects: false
      disableAchievements: false
      disableContact: false

  # Hero
  hero:
    enable: true
    intro: "Welcome, my name is"
    title: "Alexandre Pires."
    subtitle: "Software/Systems Engineer"
    content: "A passionate IT professional with 10+ years of experience building tools on open-source tech, delivering solutions that drive business success."
    image: /images/hero.png
    bottomImage:
      enable: true
    # roundImage: true # Make hero image circular | default false
    button:
      enable: true
      name: "Resume"
      url: "cv.pdf"
      download: true
      newPage: false
    socialLinks:
      fontAwesomeIcons:
        - icon: fab fa-github
          url: https://github.com/a13labs/
        - icon: fab fa-linkedin-in
          url: https://www.linkedin.com/in/carlos-pires-b2597886/

  # About
  about:
    enable: true
    title: "About Me"
    image: "/images/me.png"
    content: |-
      Over 10 years of experience in developing software and tools on top of open-source technologies, managing server infrastructures across architectures for high availability and performance, delivering business-driven solutions, and leading systems, projects, and teams across diverse IT environments.
    skills:
      enable: true
      title: "Here are a few skills I've been improving over the years:"
      items:
        - "Software development"
        - "Cloud platforms"
        - "Automation"
        - "Infrastructure as Code"
        - "Virtualization"
        - "Project management"
        - "Team leading and mentoring"

  # Experience
  experience:
    enable: true
    # title: "Custom Name"
    items:
      - job: "Cloud Native/Platform Engineer"
        company: "KBC"
        companyUrl: "https://kbc.be"
        date: "Jul 2021 - present"
        info:
          enable: false
        content: "AWS engineer focused on building a Kubernetes-based platform. Part of a delivery-to-business team, responsible for designing, developing, and driving adoption of an EKS platform for business teams, with a strong focus on architectural design and building CI/CD solutions using GitHub Workflows."

      - job: "DevOps/Linux System Engineer"
        company: "Siemens"
        companyUrl: "https://siemens.com"
        date: "Jan 2021 - Jun 2021"
        info:
          enable: false
        content: |
          Hired as a Linux System Engineer to develop and serve as a CI/CD Engineer for a new Azure DevOps-based Linux solution supporting the company's internal clients. Main responsibilities included using technologies like Docker, Ansible, Molecule, and Podman to design and build the core platform for clients to build, test, and deploy their software.

      - job: "DevOps/Backend Lead Developer"
        company: "MovAI"
        companyUrl: "https://mov.ai"
        date: "Set 2019 - Dec 2020"
        info:
          enable: false
        content: |
          As the Backend/DevOps Lead, I was responsible for designing, implementing, and maintaining the CI/CD pipeline infrastructure. I worked closely with the Project Manager and R&D Manager to establish proper procedures and methodologies for a software development company, participated in the QA process, and led the design and implementation of the company's product deployment strategy. As the most senior developer, I played a key role in mentoring new team members, introducing best practices and design patterns, and helping to elevate the technical skills of the existing development team.

      - job: "Linux System Engineer / DevOps Engineer"
        company: "ALPEGA Group"
        companyUrl: "https://www.alpegagroup.com/"
        date: "Set 2018 - Aug 2019"
        info:
          enable: false
        content: |
          Hired full-time as a Systems and DevOps Engineer to operate and enhance infrastructure, implement a new monitoring solution and deployment pipeline in AWS, enabling the adoption of DevOps practices and CI/CD. Played a key technical role in the company's 'lift-and-shift' migration project to AWS."

      - job: "Linux System Engineer / Senior IT Manager"
        company: "HBD"
        companyUrl: "https:///hbd.com"
        date: "Mar 2013 - Aug 2018"
        info:
          enable: false
        content: |
          HBD is a private South African investment company focused on the sustainable and responsible development of Príncipe Island. With around 500 employees, HBD invests in social, agricultural, and infrastructure development, aiming to establish eco-resorts, including 5-star properties.
          Initially hired as a consultant, then brought on full-time to build the IT department from the ground up and restructure the company’s network and IT technology portfolio.

  # Education
  education:
    enable: true
    # title: "Custom Name"
    index: false
    items:
      - title: "Bachelor of Science Robotics Engineering"
        school:
          name: "International University of Applied Sciences, Germany"
          url: "https://iu.org"
        date: "2021 - present"
        GPA: ""
        content:
      - title: "Bachelor of Science Computer Science Engineering"
        school:
          name: "Universidade Aberta, Portugal"
          url: "https://portal.uab.pt/"
        date: "2016 - 2023"
        GPA: "4 out of 5.0"
        content: |-
          I published one paper in the University Journal on parallel computing.
          - [Proposal for an optimized variant of A* Algorithm for multi-core systems ](https://journals.uab.pt/index.php/rcc/article/view/297)
      - title: "High School"
        school:
          name: "Escola secundária de Anadia"
          url: "https://aeanadia.pt/"
        GPA: "3 out of 5.0"

  # Achievements
  achievements:
    enable: false
    # title: "Custom Name"
    items:
      - title: Google kickstart runner
        content: I solved all problems with optimal solution.
        url: https://example.com
        image: /images/achievement.jpg

  # projects
  projects:
    enable: false
    # title: "Custom Name"
    items:
      - title: Hugo Profile
        content: A highly customizable and mobile first Hugo template for personal portfolio and blog.
        image: /images/projects/profile.png
        featured:
          name: Demo
          link: https://hugo-profile.netlify.app
        badges:
          - "Hugo"
          - "Bootstrap"
          - "Javascript"
        links:
          - icon: fa fa-envelope
            url: mailto:?subject=Hugo%20Profile%20Template&body=Check%20it%20out:%20https%3a%2f%2fhugo-profile.netlify.app%2fblog%2fmarkdown-syntax%2f
          - icon: fab fa-github
            url: https://github.com/gurusabarish/hugo-profile
          - icon: fab fa-twitter
            url: https://twitter.com/intent/tweet?text=Check+it+out:&url=https%3A%2F%2Fgithub.com%2Fgurusabarish%2Fhugo-profile

      - title: Image Converter
        content: A web app to convert image to pdf, png to jpg, png to jpg and png to webp without database using django.
        image: /images/projects/converter.jpg
        featured:
          name: Demo
          link: https://django-converter.herokuapp.com
        badges:
          - "Django"
          - "Bootstrap"
        links:
          - icon: fab fa-github
            url: https://github.com/gurusabarish/converter

      - title: Hugo Profile V2
        content: A clean and simple Hugo template for personal portfolio and blog.
        image: /images/projects/profile2.jpg
        featured:
          name: Demo V2
          link: https://hugo-profile-2.netlify.app
        badges:
          - "Hugo"
          - "Bootstrap"
          - "Javascript"
        links:
          - icon: fab fa-github
            url: https://github.com/gurusabarish/HugoProfileV2

  #Contact
  contact:
    enable: true
    # title: "Custom Name"
    content: My inbox is always open. Whether you have a question or just want to say hi, I’ll try my best to get back to you!
    btnName: Mail me
    btnLink: mailto:c.alexandre.pires@alexpires.me
    # formspree:
    #   enable: true # `contact.email` value will be ignored
    #   formId: abcdefgh # Take it from your form's endpoint, like 'https://formspree.io/f/abcdefgh'
    #   emailCaption: "Enter your email address"
    #   messageCaption: "Enter your message here"
    #   messageRows: 5

  footer:
    recentPosts:
      path: "blogs"
      count: 3
      title: Recent Posts
      enable: false
      disableFeaturedImage: false
    socialNetworks:
      github: https://github.com/a13labs/
      linkedin: https://www.linkedin.com/in/carlos-pires-b2597886/

  # List pages like blogs and posts
  listPages:
    disableFeaturedImage: false

  # Single pages like blog and post
  singlePages:
    socialShare: true
    readTime:
      enable: true
      content: "min read"
    scrollprogress:
      enable: true
    tags:
      openInNewTab: true

  # For translations
  terms:
    read: "Read"
    toc: "Table Of Contents"
    copyright: "All rights reserved"
    pageNotFound: "Page not found"
    emailText: "Check out this site"

  datesFormat:
    article: "Jan 2, 2006"
    articleList: "Jan 2, 2006"
    articleRecent: "Jan 2, 2006"

  #customScripts: -| # You can add custom scripts which will be added before </body> tag
  #  <script type="text/javascript"><!-- any script here --></script>
